SDL_GetGamepadSensorDataRate(3)

NAME
SDL_GetGamepadSensorDataRate - Get the data rate (number of events per second) of a gamepad sensor.

SYNOPSIS
#include <SDL3/SDL_gamepad.h>

float SDL_GetGamepadSensorDataRate(SDL_Gamepad *gamepad, SDL_SensorType type);

FUNCTION PARAMETERS

gamepad
    the gamepad to query.

type
    the type of sensor to query.

RETURN VALUE
Returns the data rate, or 0.0f if the data rate is not available.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL 3.2.0.